APITask creation rules
Create a task creation rule
Create an automatic task creation rule that files tickets in a connected tracker when issues trigger.
POST https://api.sazabi.com/v1/task-creation-rules
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/task-creation-rules" \ -H "Content-Type: application/json" \ -d '{ "connectionId": "84b500d7-71c8-4b1f-adf4-f1eb0000973d", "provider": "linear", "containerId": "string" }'{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "projectId": "5a8591dd-4039-49df-9202-96385ba3eff8", "connectionId": "84b500d7-71c8-4b1f-adf4-f1eb0000973d", "enabled": true, "provider": "linear", "containerId": "string", "condition": { "minSeverity": "low", "componentIds": [ "e154ef1c-4b8f-4d74-8bc8-4ceeb80b7eb6" ], "teamIds": [ "3320e832-c6a5-4b64-ade9-357b3004570a" ] }, "defaultItemType": "string", "defaultState": "string", "priority": -9007199254740991, "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z"}